# Release notes for `sopass`

`sopass` is a command line manager that use any implementation of the
Stateless OpenPGP interface for cryptography. This file documents
important user-visible changes.

## Version 0.3.0, released 2025-03-02

* `sopass` now reads the `~/.config/sopass/sopass.yml` configuration
  file (location is sensitive to XDG directory settings) by default, or one
  specified by the `--config` option.

* When adding a value (`sopass value add`), `sopass` can now read it
  from a named file (`--file` option), or the standard input
  (`--stdin`). The old way of giving the value on the command line
  also works, though this may be removed in the future, for security.
  
* The default SOP implementation is now `rsop`, since that is now
  included in Debian.

* There is now built-in help for all command line arguments, including
  sub-commands and option, as well as a rudimentary manual page.


## Version 0.2.0, released 2025-01-20

* The password store can now store any number of certificates, and the
  store gets encrypted with all of them when it's modified. This is
  allows the store to be synchronized between hosts, with each host
  having its own key.

* The default SOP implementation has been changed from `rsop` to
  `sqop` as its easier for Lars to install it his CI environment.

* There is now rudimentary `deb` packaging. This is not ready for
  upload to Debian, but suffices for personal use by Lars.

## Version 0.1.0, released 2025-01-01

This was the first release.
